List customers
curl --request GET \
--url https://api.awardee.com/v1/customers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "customer",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lead",
"external_id": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"avatar_url": "<string>",
"location": {
"country": "<string>",
"region": "<string>",
"city": "<string>"
},
"device": {
"type": "<string>",
"browser": "<string>",
"os": "<string>"
},
"web_sessions": 123,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"signed_up_at": "2023-11-07T05:31:56Z",
"last_conversation_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_attributes": {}
}
],
"total": 123,
"page": 123,
"page_size": 123
}Endpoints
List customers
GET
/
customers
List customers
curl --request GET \
--url https://api.awardee.com/v1/customers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "customer",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lead",
"external_id": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"avatar_url": "<string>",
"location": {
"country": "<string>",
"region": "<string>",
"city": "<string>"
},
"device": {
"type": "<string>",
"browser": "<string>",
"os": "<string>"
},
"web_sessions": 123,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"signed_up_at": "2023-11-07T05:31:56Z",
"last_conversation_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_attributes": {}
}
],
"total": 123,
"page": 123,
"page_size": 123
}Authorizations
Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Fuzzy match on email, name, phone, external_id.
Available options:
lead, user Available options:
true, false 
